package com.srs.diagnostic.mapper;

import java.util.List;

import com.srs.diagnostic.domain.DiaReportItems;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Delete;

/**
 * 诊断报告指标项Mapper接口
 *
 * @author srs
 * @date 2025-06-20
 */
public interface DiaReportItemsMapper extends BaseMapper<DiaReportItems> {
    /**
     * 查询诊断报告指标项
     *
     * @param itemId 诊断报告指标项主键
     * @return 诊断报告指标项
     */
    public DiaReportItems selectDiaReportItemsByItemId(Long itemId);

    /**
     * 查询诊断报告指标项列表
     *
     * @param diaReportItems 诊断报告指标项
     * @return 诊断报告指标项集合
     */
    List<DiaReportItems> selectDiaReportItemsList(DiaReportItems diaReportItems);

    /**
     * 新增诊断报告指标项
     *
     * @param diaReportItems 诊断报告指标项
     * @return 结果
     */
    int insertDiaReportItems(DiaReportItems diaReportItems);

    /**
     * 修改诊断报告指标项
     *
     * @param diaReportItems 诊断报告指标项
     * @return 结果
     */
    int updateDiaReportItems(DiaReportItems diaReportItems);

    /**
     * 删除诊断报告指标项
     *
     * @param itemId 诊断报告指标项主键
     * @return 结果
     */
    int deleteDiaReportItemsByItemId(Long itemId);

    /**
     * 批量删除诊断报告指标项
     *
     * @param itemIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDiaReportItemsByItemIds(Long[] itemIds);

    /**
     * 批量插入报告指标项
     */
    int batchInsertReportItems(@Param("list") List<DiaReportItems> items);

    /**
     * 清空指标项表
     */
    @Delete("TRUNCATE TABLE dia_report_items")
    void truncateTable();
}
